// Copyright 1999-2021. Plesk International GmbH. All rights reserved.
import React, { cloneElement } from 'react';
import ItemList from './ItemList';
import Item from '../Item';
import Icon from '../Icon';
export const Basic = args => /*#__PURE__*/React.createElement(ItemList, args);
Basic.args = {
  minColumnWidth: 220,
  gap: 'md',
  children: [/*#__PURE__*/React.createElement(Item, {
    key: "1",
    value: "1",
    title: "Title 1",
    description: "Description 1",
    "data-test": "item1",
    icon: /*#__PURE__*/React.createElement(Icon, {
      name: "star-circle-filled",
      intent: "info"
    }),
    onClick: () => {}
  }, 'Content 1'), /*#__PURE__*/React.createElement(Item, {
    key: "2",
    value: "2",
    title: "Title 2",
    description: "Description 2",
    "data-test": "item2",
    icon: /*#__PURE__*/React.createElement(Icon, {
      name: "star-circle-filled",
      intent: "success"
    }),
    onClick: () => {}
  }, 'Content 2'), /*#__PURE__*/React.createElement(Item, {
    key: "3",
    value: "3",
    title: "Title 3",
    description: "Description 3",
    "data-test": "item3",
    icon: /*#__PURE__*/React.createElement(Icon, {
      name: "star-circle-filled",
      intent: "warning"
    }),
    onClick: () => {}
  }, 'Content 3'), /*#__PURE__*/React.createElement(Item, {
    key: "4",
    value: "4",
    title: "Title 4",
    description: "Description 4",
    "data-test": "item4",
    icon: /*#__PURE__*/React.createElement(Icon, {
      name: "star-circle-filled",
      intent: "danger"
    }),
    onClick: () => {},
    disabled: true
  }, 'Content 4')]
};
export const Cards = Basic.bind(null);
Cards.args = { ...Basic.args,
  children: Basic.args.children.map(child => {
    return child ? /*#__PURE__*/cloneElement(child, {
      view: 'card',
      footer: "Footer ".concat(child.props.value)
    }) : null;
  })
};
export const Reorderables = Basic.bind(null);
Reorderables.args = { ...Basic.args,
  reorderable: true
};
export const Selectables = Basic.bind(null);
Selectables.args = { ...Basic.args,
  selectable: true,
  defaultValue: '2'
};